Skip to main content

Starting March 27, 2026, RC is rebranded as Nexconn. Existing RC SDK customers can continue using this documentation. New customers should refer to the Nexconn developer documentation.

Query Chatroom Mute Exceptions

Retrieve the mute exceptions list for a specified chatroom.

Request Method

POST: https://data center domain/chatroom/user/ban/whitelist/query.json

Rate Limit: 100 requests per second

Signature Rule: All server API requests must be validated according to the signature rules. For details, see API Request Signature.

Body Parameters

The HTTP request body data format is application/x-www-form-urlencoded, and supports the following HTTP form parameters:

ParameterTypeRequiredDescription
chatroomIdStringYesChatroom ID

Request Example

POST /chatroom/user/ban/whitelist/query.json HTTP/1.1
Host: api.rong-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1592295337000
Signature: ef03d19bb860b4e90ce7bd5f50652a744bc2ce92
Content-Type: application/x-www-form-urlencoded

chatroomId=LoDld8izA

Response

The HTTP response body contains a JSON object with the following structure:

Return ValueReturn TypeDescription
codeNumberReturn code, 200 indicates success.
userIdsString[]Array of users in the chatroom's mute exceptions list.

Response Example

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
"code": 200,
"userIds": [
"uu2",
"uu1"
]
}